// © 2024 Long Ly. All rights reserved. Any unauthorized use, reproduction, or distribution of this trademark is strictly prohibited and may result in legal action.

#pragma once

#include "CoreMinimal.h"
#include "OLSMoveableInterface.h"
#include "UObject/Interface.h"
#include "OLSReplicatedMovableInterface.generated.h"

// This class does not need to be modified.
UINTERFACE()
class UOLSReplicatedMovableInterface : public UOLSMoveableInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class OLSANIMATION_API IOLSReplicatedMovableInterface : public IOLSMoveableInterface
{
	GENERATED_BODY()

	// Add interface functions to this class. This is the class that will be inherited to implement this interface.
public:

	virtual void SetReplicatedMaxWalkSpeed(const float speed) = 0;
	virtual void SetReplicatedAcceleration(const FVector& acceleration) = 0;
};
